Bug 1270960 - [DOCS] Port map for firewalls
[DOCS] Port map for firewalls
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.0.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: brice
Vikram Goyal
Vikram Goyal
:
: 1280411 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 14:34 EDT by Alex Dellapenta
Modified: 2017-09-20 01:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Dellapenta 2015-10-12 14:34:58 EDT
From https://github.com/openshift/openshift-docs/issues/684:

===

There should be a section in administration guide to let the users know which ports should be open between the openshift environment if there is a firewall between broker and nodes

Say : master to node
node to node
master to master 
external to master

===

See also:

https://github.com/openshift/training/issues/291
Comment 3 brice 2015-11-05 20:44:28 EST
A ports doc is now in the OSE 3.0 docs:

https://github.com/openshift/openshift-docs/pull/1136
Comment 4 Vikram Goyal 2015-11-11 15:26:54 EST
*** Bug 1280411 has been marked as a duplicate of this bug. ***
Comment 5 Evgheni Dereveanchin 2015-11-17 06:46:40 EST
Can we make protocols more visible? I think it would be better to have TCP/80 UDP/4789 rather than notes at the end of the page.

Also a question stands for port 53 - is it supposed to be both TCP and UDP? When I check my master I see that both TCP/53 and UDP/53 are being listened to.

# lsof -i | grep domain
openshift    952       root   40u  IPv4    18625      0t0  TCP *:domain (LISTEN)
openshift    952       root   41u  IPv4    18627      0t0  UDP *:domain
Comment 6 Alex Dellapenta 2015-12-02 10:43:18 EST
See comment in https://github.com/openshift/openshift-docs/pull/1136#issuecomment-161337791 for latest.

The table is published in the 3.1 docs, but I'm moving this BZ back to ASSIGNED while I work on getting it into the 3.0 branch correctly (see above GH comment for details). I'll also address Evgheni's protocol suggestion (for both 3.0 and 3.1).
Comment 7 brice 2016-05-24 18:14:26 EDT
Feedback from ccs list:

"These tables in the 'required ports' section don't specify protocol, could you please add a column containing tcp/udp"
Comment 8 Vikram Goyal 2017-09-20 01:43:36 EDT
@Brice - this is quite old and I am happy for you to close it if there is no more work to be done on this.

Note You need to log in before you can comment on or make changes to this bug.